import { SyncDescriptor } from 'vscode/vscode/vs/platform/instantiation/common/descriptors';
import { IAuthenticationService } from 'vscode/vscode/vs/workbench/services/authentication/common/authentication';
import { AuthenticationService } from 'vscode/vscode/vs/workbench/services/authentication/browser/authenticationService';

function getServiceOverride() {
    return {
        [( IAuthenticationService.toString())]: new SyncDescriptor(AuthenticationService, [], true)
    };
}

export { getServiceOverride as default };
